
Redmine - Defect #4068

Hidden edit div in news/:id even though user has no right to edit

2009-10-21 13:18 - Felix Schäfer

Status: Closed Start date: 2009-10-21

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Any news/:id page has the edit div included, which contains the source for the shown news item. Tickets for example only seem to

include the edit div as needed, i.e. if the user has the right to edit the ticket. (tested on r2902)

Associated revisions

Revision 2954 - 2009-10-22 19:42 - Jean-Philippe Lang

Do not render hidden news edit form if user is not allowed to edit (closes #4068).

History

#1 - 2009-10-22 20:17 - Jean-Philippe Lang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r2954.
